#coding:utf-8

import os
import sys
import codecs
import xlrd #http://pypi.python.org/pypi/xlrd

if len(sys.argv) != 1 :
    print "argv count != 1, program exit"
    exit(0)

def FloatToString (aFloat):
    if type(aFloat) != float:
        return ""
    strTemp = str(aFloat)
    strList = strTemp.split(".")
    if len(strList) == 1 :
        return strTemp
    else:
        if strList[1] == "0" :
            return strList[0]
        else:
            return strTemp

#读取excel表Player里的数据
def HandleWorkbook (workbook):
    data = xlrd.open_workbook(workbook + u".xlsx")
    indexTable = data.sheet_by_name(u"index")
    rs = indexTable.nrows
    targetFile.write(workbook + u" = {}\n\n")
    for r in range(rs-1):
        tablename = indexTable.cell_value(r+1,0)
        table = data.sheet_by_name(tablename)
        nrows = table.nrows
        ncols = table.ncols
        targetFile.write(workbook + u"." + tablename + u" = {\n")
        for r in range(nrows-1):
            for c in range(ncols):
                CellObj = table.cell_value(r+1,c)
                if c == 0:
                    if type(CellObj) == float:
                        #数字作为key
                        targetFile.write(u"\t[" + FloatToString(CellObj) + u"] = " + u"{ ")
                    else:
                        #字符串作为key
                        targetFile.write(u"\t" + CellObj + u" = " + u"{ ")
                else:
                    strCellValue = u""
                    if type(CellObj) == unicode:
                        strCellValue = u"\"" + CellObj + u"\""
                    elif type(CellObj) == float:
                        strCellValue = FloatToString(CellObj)
                    else:
                        strCellValue = "nil"
                    strTmp = table.cell_value(0,c) + u" = "+ strCellValue
                    if c< ncols-1:
                        strTmp += u", "
                    targetFile.write(strTmp)
            targetFile.write(u" }")
            if r < nrows-2:
                targetFile.write(u",")
            targetFile.write(u"\n")
        targetFile.write(u"}\n\n") 

#创建临时文件tmpExcelData（用来保存从excel里解析的值）
targetFile = codecs.open("tmpExcelData.lua","w","utf-8")

HandleWorkbook("Game")
HandleWorkbook("String")

targetFile.close()